## status-area-displayblanking-applet 0.9

=== src/Makefile ===
OBJS=lib-display-blanking-status-menu-widget.o
SOURCES=lib-display-blanking-status-menu-widget.c
LIB=lib-displayblanking-status-menu.so
PKG_FLAGS=$(shell pkg-config hildon-1 libhildondesktop-1 --libs --cflags)
CCFLAGS=-shared -Wall -Werror -pedantic -std=c99
CC=gcc

all:$(LIB)

$(LIB):$(OBJS)
	$(CC) $(CCFLAGS) $(PKG_FLAGS) $(OBJS) -o $(LIB)

.c.o:
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

.PHONE: clean all

clean:
	rm -f $(OBJS) $(LIB)

=== debian/changelog ===
status-area-displayblanking-applet (0.9) unstable; urgency=low

  * Show a status icon when display blanking is inhibited.
  * Improve package description and add icon for the Application Manager.
  * Add a extended description for display blanking modes.
  * Update translation files.
  * Code cleanup.

 -- Leandro Lucarella <luca@llucax.com.ar>  Tue, 30 Jul 2012 17:22:31 +0200

status-area-displayblanking-applet (0.5) unstable; urgency=low

  * Add timed display blanking inhibition button (the user can input a timeout
    after which display blanking inhibition will be disabled automatically).
  * Do some more code cleanup.

 -- Leandro Lucarella <luca@llucax.com.ar>  Tue, 29 Jul 2012 20:29:11 +0200

status-area-displayblanking-applet (0.4) unstable; urgency=low

  * Add display blanking inhibition button.

 -- Leandro Lucarella <luca@llucax.com.ar>  Tue, 27 Jul 2012 19:42:11 +0200

status-area-displayblanking-applet (0.3) unstable; urgency=low

  * Use a dialog to let the user pick the desired blanking mode instead of
    cycling through all available modes.

 -- Leandro Lucarella <luca@llucax.com.ar>  Tue, 26 Jul 2012 10:42:11 +0200

status-area-displayblanking-applet (0.2) unstable; urgency=low

  * Subscribe to GConf notifications for changes in blanking mode.
  * Code cleanup.

 -- Leandro Lucarella <luca@llucax.com.ar>  Mon, 23 Jul 2012 10:52:11 +0200

status-area-displayblanking-applet (0.1) unstable; urgency=low

  * Initial release.

 -- Leandro Lucarella <luca@llucax.com.ar>  Tue, 10 Jul 2012 19:52:11 +0200

=== debian/control ===
Source: status-area-displayblanking-applet
Section: user/desktop
Priority: optional
Maintainer: Leandro Lucarella <luca@llucax.com.ar>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libglib2.0-dev, libhildon1-dev, libhildondesktop1-dev, mce-dev, gettext

Package: status-area-displayblanking-applet
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-desktop (>= 1:2.2.142-11)
Description: Hildon Status Menu plugin to control display blanking
 This status menu applet let you easily change the display blanking mode right
 from the status menu, without having to go through the settings. It also let
 you inhibit display blanking without changing the mode, either until you
 manually disable it or using an user provided time to automatically disable
 the display blanking inhibition.
XSBC-Maemo-Display-Name: Status Area Display Blanking Applet
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=85514
XB-Maemo-Upgrade-Description:
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH3AcbDRMSBp7Z
 8wAABLRJREFUaN7tWEtsG1UUPTPjz9iOXY9L3dJ8nJaGQBW1qYA2lCISRayy
 KKhISF1l0VZiA1ERCAiilYqURTdIlZIKEKKAkCi/ohS1UmQphapVWKWqRJ3Y
 Sap8jO2MnYkn87HHM8MCEmUcp7GdOA7Cdzdn5r13ztz37n33AhWrWMX+00Zs
 BRK6rrtmmw79AUlqBADv+EjevMgtQJ6Mt77ct0i+UCu7gOQ77z+rTU2dLHZ8
 WQWk7g7tSV3/9WcjI5IvZA5TGbeOmX3u6BdIp3cvxy1trccQerD1D3Fsb2MH
 gOtZ8DXv+Mir645Cfr//JQCtpSJvSiYtje99eJZUMvQilrHbudC57suKh5FX
 GTbY3t5+a00Bfr//+Ojo6LWhoSGk0+mSCOgcHUNzgjNgl/Y/iTGXM+f3FosF
 DQ0NmJmZ6ezt7b3yyDPAsuzbAwMDGB4ehizLMJlMqK+vR01NzdI3siwjEAiA
 47jCkg5B4C3v42ieN57Tnzxu9E9PIRaL5RxH0zTi8ThUVT0D4NECotGoPRKJ
 QJb/8WQmk0EoFEI8Hl9BhmGYggTsYxh0hmcN2KSNxhUzCUVSDPPxPI9MJgNJ
 ksCyLAiCgM/nswKoArBQcBQqlGy2OW02nI+wBkyiSHy61wdqLrFi/kQigVgs
 BlVVyx9GKYrCKTmDakE04J/XVePPucTSs6ZpkGUZoiiC47g1yW+KAIqi0Fzl
 xIsPggZ8fJsLtzV1ibgkSRBFEbquFxbRSi3ApGTQFQgZMIEg8K7dAkWWIQgC
 UqlUwcQ3TUAXl4Qji9wnLgc4nl8KFOv6QaUk37Eg4ohszCU3KQI3BH7D1ijZ
 ZW6X04mTgmTMMWYzrtZVb+g6JRFgNpvRPR2BTdUM+Mc7t2MsHN7aAnRdxwty
 ekXI7N+5A/fibF6hsSwCNE2DKIqoJim8GTUmrEnaij5FhqIoG+7tdQtQVRXJ
 ZBIsy8LrcuF8LGF4L5IE+uprkUwmSxOmix2oKAokSTKEwo6pMB7TjRfcz6Dh
 91CwdHmm0AHpdBqCIKzYDsc04PUs8r8ROr4vcdGat4DFv51rH1t1oNsYcMBD
 x4VNqLhXXUKjXUjteR4iLIhGo+B5Pid5h8OBXtoBZ1ZtdLlmN2gPA4IgNt8D
 JEmCZ56AcOYHoKcVCD9cUQ8AgMlkwmmnG43CvAH/xm7Fj9OTmJ+fx3rOWLEC
 UlarFY7pIISeVmByGAByFjRH6nw4MccZKtMQSeBiJIxIPF70BS1XLeLz+fIT
 0N/ff5dhmKOHGv995WvJOdDtduODQAhV/IIB/+pgEw4s8DhQgu0yMTFxB4C6
 VleiiWGYEzRNP7NaXet2u03nnMz+tlnW8Ft+8biDF2J/jSiKom80eUmS7nMc
 dxXAvXz6Ql4A1GqTfber5mCb3XFjOSZr2p26h8HXSnheVQDxfDywVkOqCsB9
 APXLYA7AU97xkehmN8iKidSXssgDQFc5yBcsgDv9xlkAnQYXejyDO8YCt3Vd
 L0ujuKAtFNv3dBKa5lyWMPhtX3/ZYmk5HCAIQtvyHjCQB2B95fgpS8vhYLnI
 r+s6TdbWfuu62HOTIAgFZbTiBNhsI9sHBz7CshZfxSpWsYr9P+1vvvvpr7OU
 KMEAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f build-stamp install-stamp
	# Add here commands to clean up after the build process.
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/status-area-displayblanking-applet install

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	#dh_installdocs
	#dh_installchangelogs
	#dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_makeshlibs
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep
.PHONY: build clean binary-arch binary-indep binary install

## status-area-displayblanking-applet 0.9-6

=== debian/changelog ===
status-area-displayblanking-applet (0.9-6) unstable; urgency=low

  * Fix rules to produce i386 package.

 -- Leandro Lucarella <luca@llucax.com.ar>  Sun,  5 Aug 2012 01:52:21 +0200

status-area-displayblanking-applet (0.9-5) unstable; urgency=low

  * Fix bug.

 -- Leandro Lucarella <luca@llucax.com.ar>  Sun,  5 Aug 2012 01:32:43 +0200

status-area-displayblanking-applet (0.9-4) unstable; urgency=low

  * Optify.

 -- Leandro Lucarella <luca@llucax.com.ar>  Thu,  2 Aug 2012 21:49:15 +0200

status-area-displayblanking-applet (0.9-3) unstable; urgency=low

  * Add homepage.

 -- Leandro Lucarella <luca@llucax.com.ar>  Thu,  2 Aug 2012 20:22:24 +0200

status-area-displayblanking-applet (0.9-2) unstable; urgency=low

  * Try to fix i386 build.

 -- Leandro Lucarella <luca@llucax.com.ar>  Wed,  1 Aug 2012 11:22:24 +0200

status-area-displayblanking-applet (0.9-1) unstable; urgency=low

  * Fix build dependencies.

 -- Leandro Lucarella <luca@llucax.com.ar>  Wed,  1 Aug 2012 01:22:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Leandro Lucarella <luca@llucax.com.ar>
 Build-Depends: debhelper (>= 5), libgtk2.0-dev, libglib2.0-dev, libhildon1-dev, libhildondesktop1-dev, mce-dev, gettext
+Homepage: http://www.llucax.com.ar/proj/sadba/
 
 Package: status-area-displayblanking-applet
-Architecture: armel
-Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-desktop (>= 1:2.2.142-11)
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-desktop (>= 1:2.2)
 Description: Hildon Status Menu plugin to control display blanking
  This status menu applet let you easily change the display blanking mode right
  from the status menu, without having to go through the settings. It also let
  you inhibit display blanking without changing the mode, either until you
  manually disable it or using an user provided time to automatically disable
  the display blanking inhibition.
+Homepage: http://www.llucax.com.ar/proj/sadba/
 XSBC-Maemo-Display-Name: Status Area Display Blanking Applet
 XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=85514
 XB-Maemo-Upgrade-Description:

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
-# export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 build: build-stamp
 
@@ -27,13 +27,15 @@
 
 	touch install-stamp
 
-# Build architecture-independent files here.
 binary-indep: build install
+
+binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_install
 	#dh_installdocs
 	#dh_installchangelogs
+	dh_strip
 	#dh_compress
 	dh_fixperms
 	dh_shlibdeps
@@ -43,7 +45,5 @@
 	dh_md5sums
 	dh_builddeb
 
-binary-arch:
-
-binary: binary-indep
+binary: binary-indep binary-arch
 .PHONY: build clean binary-arch binary-indep binary install

## status-area-displayblanking-applet 1.0

=== Makefile ===
SUBDIRS=src po
BUILDDIR=build

all: subdirs

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@

.PHONY: all clean install $(SUBDIRS)

clean:
	for d in $(SUBDIRS); do (cd $$d; $(MAKE) clean); done

install:
	for d in $(SUBDIRS); do (cd $$d; $(MAKE) install); done

=== po/Makefile ===


GETTEXT_PACKAGE = status-area-displayblanking-applet
PACKAGE = status-area-displayblanking-applet

SHELL = /bin/sh

prefix = /usr
DATADIRNAME = share
itlocaledir = $(prefix)/$(DATADIRNAME)/locale

INSTALL = install -c
INSTALL_DATA = ${INSTALL} -m 644

GMSGFMT = msgfmt
MSGFMT = msgfmt
XGETTEXT = xgettext
MSGMERGE = msgmerge

PO_LINGUAS= es_AR

USE_LINGUAS= es_AR

POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

DISTFILES = Makefile POTFILES.in $(POFILES)
EXTRA_DISTFILES = ChangeLog POTFILES.skip Makevars LINGUAS

POTFILES = ../src/lib-display-blanking-status-menu-widget.c
# This comment gets stripped out

CATALOGS=$(shell LINGUAS="$(USE_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.gmo "; done)

.SUFFIXES:
.SUFFIXES: .po .gmo .mo

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

all: compile

compile: $(CATALOGS)

$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) -k_ -kN_ --package-name=$(PACKAGE) -o $(GETTEXT_PACKAGE).pot $(POTFILES)

install: all
	@linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  dir=$(DESTDIR)$(itlocaledir)/$$lang/LC_MESSAGES; \
	  mkdir -p $$dir; \
	  if test -r $$lang.gmo; then \
	    $(INSTALL_DATA) $$lang.gmo $$dir/$(GETTEXT_PACKAGE).mo; \
	    echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	  fi; \
	done

clean:
	rm -f *.mo *.gmo

update-po:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	@linguas="$(USE_LINGUAS)"; \
	for lang in $$linguas; do \
	  echo "$$lang:"; \
	  if test -r $$lang.po; then \
	    $(MSGMERGE) -U $$lang.po $(GETTEXT_PACKAGE).pot; \
	  else \
	    cp $(GETTEXT_PACKAGE).pot $$lang.po; \
	  fi; \
	done

=== debian/changelog ===
status-area-displayblanking-applet (1.0) unstable; urgency=low

  * Start display blanking inhibition immediately when activated instead of
    doing so when the timer for display blanking fire. This makes the applet
    behave properly for phones configured to blank in less than 30 seconds.
  * Fix build and source dependencies.
  * Add homepage to control file.
  * Strip binaries.
  * Optify package to use less rootfs space.

 -- Leandro Lucarella <luca@llucax.com.ar>  Sun,  5 Aug 2012 14:32:38 +0200

## status-area-displayblanking-applet 1.0-1

=== debian/changelog ===
status-area-displayblanking-applet (1.0-1) unstable; urgency=low

  * Re-upload to fix a "size mismatch" error when installing.

 -- Leandro Lucarella <luca@llucax.com.ar>  Sun,  5 Aug 2012 18:06:17 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
 Homepage: http://www.llucax.com.ar/proj/sadba/
 XSBC-Maemo-Display-Name: Status Area Display Blanking Applet
 XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=85514
-XB-Maemo-Upgrade-Description:
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
  AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH3AcbDRMSBp7Z

## status-area-displayblanking-applet 1.1

=== po/Makefile ===
--- 
+++ 
@@ -17,9 +17,9 @@
 XGETTEXT = xgettext
 MSGMERGE = msgmerge
 
-PO_LINGUAS= es_AR
+PO_LINGUAS= es
 
-USE_LINGUAS= es_AR
+USE_LINGUAS= es
 
 POFILES=$(shell LINGUAS="$(PO_LINGUAS)"; for lang in $$LINGUAS; do printf "$$lang.po "; done)

=== debian/changelog ===
status-area-displayblanking-applet (1.1) unstable; urgency=low

  * Move translation file from es_AR to es (we can start differentiating among
    different flavours of Spanish once we have more than one translation).

 -- Leandro Lucarella <luca@llucax.com.ar>  Fri, 10 Aug 2012 21:15:42 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+# export DH_VERBOSE=1
 
 build: build-stamp
